/**
 * js实现多语言(可以在本地使用,不需要服务器运行支持)
 * 注：暂时未实现
 * date:2020/7/10
 * author:pythonLau
 * version:0.1
 */
// 需要jquery(jquery.min.js)
var i18n = {
    language:navigator.languages[1],//en,zh,...
    load:function(){
        var lan = null;
        try {
            lan = eval("strings_"+this.language);
        }
        catch(error){
            lan = eval("strings");//默认
        }
        if(!lan) {//都找不到直接返回
            return;
        }
        $("[lan]").each(function(){
            var val = "";
            try {//防止找不到
                val = eval("lan."+$(this).attr("lan"));
            } catch (error) {
                console.log(error);
            }
            $(this).text(val);
            $(this).val(val);
            //Todo:支持更多控件(比如select等)
        });
    }
}

//使用说明：
/*
1.声名语言js文件,最好每个语言单独一个文件
//strings.js
var strings ={
    username:"Username",
    password:"Password",
    user:{name:"USERNAME",pwd:"PASSWORD"},
}
//strings_zh.js
var strings_zh ={
    username:"用户名",
    password:"密码",
    user:{name:"USERNAME",pwd:"PASSWORD"},
}
2. html中使用,给标签添加lan属性,属性值就是上面语言js中定义的名称
//test.html
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <-- 引入jquery,i18n,资源文件 -->
    <script src="jquery.min.js"></script>
    <script src="i18n.js"></script>
    <script src="strings.js"></script>
    <script src="strings_zh.js"></script>
    <script>
        //在加载完成后使用i18n的方法去修改语言内容
        window.onload = function(){
            i18n.language = "zh";//手动设置语言(不设置时为自动)
            i18n.load();            
        }
    </script>
</head>
<body>
    <label lan="username"></label>
    <div lan="password"></div>
    <div lan="user.pwd"></div>
</body>
</html>

*/
